package ${groupId}.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import ${groupId}.domain.Member;
import ${groupId}.service.MemberManager;
import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.multiaction.MultiActionController;

public class MemberOpsController extends MultiActionController {
	private MemberManager manager;

    public void setManager(MemberManager manager) {
        this.manager = manager;
    }

    public ModelAndView list(HttpServletRequest request, HttpServletResponse response) throws Exception {
        return new ModelAndView().addObject(manager.findAll());
    }

    public ModelAndView add(HttpServletRequest request, HttpServletResponse response) throws Exception {
    	ModelAndView modelAndView = new ModelAndView();
    	modelAndView.setViewName("editMemmber.htm");
        return modelAndView;
    }
    
    public ModelAndView delete(HttpServletRequest request, HttpServletResponse response) throws Exception {
        int id = ServletRequestUtils.getRequiredIntParameter(request, "id");
        Member member = manager.findById(new Integer(id));
        manager.delete(member);
    	ModelAndView modelAndView = new ModelAndView();
    	modelAndView.addObject(manager.findAll());
    	modelAndView.setViewName("memberops/list");
        return modelAndView;
    }

}
